Error
A valid request URL is required to generate request examples{
"status": "00",
"message": "Loans retrieved successfully",
"data": {
"summary": {
"account_number": "1234567890",
"currency_code": "NGN",
"from": "2021-01-01",
"to": "2021-01-01",
"first_transaction": "2021-01-01",
"last_transaction": "2021-01-01",
"opening_balance": 100000,
"closing_balance": 100000,
"total_debit_count": 100,
"total_credit_count": 100,
"total_debit_value": 100000,
"total_credit_value": 100000,
"pages": 10,
"records_per_page": 10
},
"transactions": [
{
"id": "1",
"amount": 100000,
"channel": "WEB",
"transaction_type": "WITHDRAWAL",
"debit_credit": "DEBIT",
"narration": "Transaction",
"reference": "1234567890",
"transaction_time": "2021-01-01",
"value_date": "2021-01-01",
"balance_after": 100000,
"status": "SUCCESSFUL"
}
],
"custom_properties": [
{
"id": "1",
"description": "custom_property",
"type": "string",
"value": "custom_property"
}
]
}
}{
"status": "01",
"error_code": "MISSING_FIELD",
"message": "The field is missing",
"data": {}
}{
"status": "02",
"message": "The authentication failed",
"data": {}
}{
"status": "03",
"message": "You are not allowed to perform this operation",
"data": {}
}{
"status": "05",
"message": "An unknown error occurred",
"data": {}
}Savings
Get Customer Savings Transactions
Get all savings transactions belonging to a customer
GET
/
savings
/
{savings_id}
/
transactions
Error
A valid request URL is required to generate request examples{
"status": "00",
"message": "Loans retrieved successfully",
"data": {
"summary": {
"account_number": "1234567890",
"currency_code": "NGN",
"from": "2021-01-01",
"to": "2021-01-01",
"first_transaction": "2021-01-01",
"last_transaction": "2021-01-01",
"opening_balance": 100000,
"closing_balance": 100000,
"total_debit_count": 100,
"total_credit_count": 100,
"total_debit_value": 100000,
"total_credit_value": 100000,
"pages": 10,
"records_per_page": 10
},
"transactions": [
{
"id": "1",
"amount": 100000,
"channel": "WEB",
"transaction_type": "WITHDRAWAL",
"debit_credit": "DEBIT",
"narration": "Transaction",
"reference": "1234567890",
"transaction_time": "2021-01-01",
"value_date": "2021-01-01",
"balance_after": 100000,
"status": "SUCCESSFUL"
}
],
"custom_properties": [
{
"id": "1",
"description": "custom_property",
"type": "string",
"value": "custom_property"
}
]
}
}{
"status": "01",
"error_code": "MISSING_FIELD",
"message": "The field is missing",
"data": {}
}{
"status": "02",
"message": "The authentication failed",
"data": {}
}{
"status": "03",
"message": "You are not allowed to perform this operation",
"data": {}
}{
"status": "05",
"message": "An unknown error occurred",
"data": {}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Connection ID for the target bank
Unique key to ensure idempotency of the request
SHA-256 signature of client_secret + ";" + idempotency-key
Path Parameters
The unique identifier for the savings
Query Parameters
The date from which to get the transactions
The date to which to get the transactions
The page number